jQuery(document).ready(function($) {
    $('#select-all').on('change', function() {
        $('.select-record').prop('checked', this.checked);
    });

    $('#apply-bulk-action').on('click', function() {
        var action = $('#bulk-action').val();
        var selected = $('.select-record:checked').map(function() {
            return $(this).val();
        }).get();

        if (selected.length === 0) {
            alert('Please select at least one record.');
            return;
        }

        var product_id = $('#fleekcode_price_history_panel').data('product-id');

        var data = {
            action: 'fleekcode_omnibus_bulk_action',
            nonce: fleekcode_omnibus_vars.nonce,
            product_id: product_id,
            record_ids: selected,
            bulk_action: action
        };

        $.post(fleekcode_omnibus_vars.ajaxurl, data, function(response) {
            if (response.success) {
                location.reload();
            } else {
                alert('Error: ' + response.data);
            }
        });
    });
});